
Foreman - Refactor #12860

new_child_fields_template should move from LookupKeyHelper to LayoutHelper

12/17/2015 03:39 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: Rails   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2986

  

Description

Associated revisions

Revision 6bbf5085 - 12/22/2015 10:25 AM - Ori Rabin

Fixes #12860 - Moves new_child_fields_template to LayoutHelper and connect new child to parent

History

#1 - 12/17/2015 03:50 AM - Tomer Brisker

when calling

form_builder.object.class.reflect_on_association(association).klass.new

we can already associate with the parent object by passing a parameter to new.

#2 - 12/17/2015 06:42 AM - Ori Rabin

- Status changed from New to Assigned

- Assignee set to Ori Rabin

#3 - 12/17/2015 07:55 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2986 added

#4 - 12/22/2015 11:03 AM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 6bbf50853340ac73ef37209aec8d0f3ef232ff70.

#5 - 12/22/2015 11:06 AM - Dominic Cleal

- Category set to Rails

- translation missing: en.field_release set to 71
